NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::PointMarkBuilder Class Reference

Used to create or edit a NXOpen::Weld::PointMark feature. More...

Inheritance diagram for NXOpen::Weld::PointMarkBuilder:
NXOpen::Weld::JointmarkBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  WeldTypes {
  WeldTypesResistanceSpot, WeldTypesArcSpot, WeldTypesClinch, WeldTypesDollop,
  WeldTypesWeldNut, WeldTypesWeldStud, WeldTypesCustom1, WeldTypesCustom2,
  WeldTypesCustom3, WeldTypesCustom4, WeldTypesCustom5
}
 The weld type to create. More...
 
- Public Types inherited from NXOpen::Weld::JointmarkBuilder
enum  ConnectedPanelTypes { ConnectedPanelTypesTwo, ConnectedPanelTypesThree, ConnectedPanelTypesFour }
 The type of sheets to create. More...
 
enum  Method {
  MethodGuideCurve, MethodMirror, MethodPoints, MethodTranslate,
  MethodExistingPoints
}
 The type of construction method for creating Jointmark. More...
 
enum  OrientationMethodTypes { OrientationMethodTypesSurfaceNormal, OrientationMethodTypesCoordinateSystem }
 The type of orientation method for defining the default coordinate system. More...
 
enum  ProjectionDirectionOptions {
  ProjectionDirectionOptionsNone, ProjectionDirectionOptionsAlongFaceNormal, ProjectionDirectionOptionsPricipalAxis, ProjectionDirectionOptionsX,
  ProjectionDirectionOptionsY, ProjectionDirectionOptionsZ
}
 The projection direction used to project points onto the reference sheet. More...
 
enum  ReferenceSheetTypes { ReferenceSheetTypesOverlap, ReferenceSheetTypesTop }
 The type of sheets to create. More...
 
enum  ReuseMethod { ReuseMethodSameConnectingParts, ReuseMethodAnyConnectingParts }
 The method to indicate if all reuse features have the same connected parts. More...
 

Public Member Functions

void AppendPointsOverride (bool create)
 Creates a list of points on the overlap sheet. More...
 
NXOpen::Weld::PointMarkPointBuilderNewPointsOverride ()
 Creates a NXOpen::Weld::PointMarkPointBuilder object. More...
 
void SetShowSolids (bool showSolids)
 Sets the display mode. More...
 
void SetWeldType (NXOpen::Weld::PointMarkBuilder::WeldTypes weldType)
 Sets the weld type references in the customer defaults to create. More...
 
bool ShowSolids ()
 Returns the display mode. More...
 
NXOpen::Weld::PointMarkBuilder::WeldTypes WeldType ()
 Returns the weld type references in the customer defaults to create. More...
 
- Public Member Functions inherited from NXOpen::Weld::JointmarkBuilder
void AppendPoints (bool mode, NXOpen::Curve *curve)
 Creates a list of points on the overlap sheet. More...
 
NXOpen::Weld::ConnectedPartAskConnectedFaces ()
 Find the connected face information. More...
 
bool Associativity ()
 Returns the automatic update option also known as associativity. More...
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics
Created in NX9.0.0. More...
 
NXOpen::Weld::JointmarkBuilder::ConnectedPanelTypes ConnectedPanelType ()
 Returns the number of connected panels at a point. More...
 
bool ConnectPart ()
 Returns the option of connecting only one part. More...
 
NXOpen::Weld::JointmarkBuilder::Method ConstructionMethod ()
 Returns the construction method for creating Jointmark
Created in NX9.0.0. More...
 
void CreateReferenceData ()
 Create a temporary overlap or top sheet and guide curve. More...
 
bool CreateSingleFeatures ()
 Returns the control option to determine if individual features should be created. More...
 
NXOpen::CurveCreateSymbolCurve (const NXString &path, const NXString &name)
 Create curve From PMI symbol. More...
 
NXOpen::CurveCreateSymbolCurve (const char *path, const char *name)
 Create curve From PMI symbol. More...
 
void DeleteReferenceData ()
 Delete temporary overlap or top sheet feature. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX9.0.0. More...
 
NXOpen::Weld::JointmarkFaceSetsBuilderListFaceSetsList ()
 Returns the list of face sets
Created in NX9.0.0. More...
 
NXOpen::CoordinateSystemFixedCsys ()
 Returns the fixed csys that overrides the default Csys orientation. More...
 
void FromReuseFeatures (bool *faceSetsUpdated, bool *guideCurvesUpdated, bool *pointSelectionUpdated)
 Initializes face sets, guide curve, and points builders from reuse features. More...
 
void GetCreateReferenceDataMessages (std::vector< NXString > &messages)
 Get all the messages created by NXOpen::Weld::JointmarkBuilder::CreateReferenceData . More...
 
NXOpen::Features::FeatureGetReferenceSheet ()
 Returns the Reference Sheet feature. More...
 
void GetSelectedReferences (std::vector< NXOpen::NXObject * > &references)
 Gets the selected points, or point features, references. More...
 
void GetSheetEdges (std::vector< NXOpen::Edge * > &edges)
 Edges of created sheet
Created in NX9.0.0. More...
 
NXOpen::Weld::JointmarkGuideBuilderListGuideCurvesList ()
 Returns the list of guide curves
Created in NX9.0.0. More...
 
void MapFeaturesToPoints ()
 Maps the selected reuse features to the new preview point locations. More...
 
void MoveReferenceSheet ()
 Move the Reference Sheet to work layer, and unlink from grouping feature. More...
 
NXOpen::Weld::JointmarkFaceSetsBuilderNewFaceSets ()
 Creates a NXOpen::Weld::JointmarkFaceSetsBuilder object. More...
 
NXOpen::Weld::JointmarkGuideBuilderNewGuide ()
 Creates a NXOpen::Weld::JointmarkGuideBuilder object. More...
 
NXOpen::Weld::JointmarkPointsBuilderNewPoints ()
 Creates a NXOpen::Weld::JointmarkPointsBuilder object. More...
 
bool NotifyIfParentPointMoved ()
 Returns the option to indicate if an alert should be issued when the parent point moves. More...
 
NXOpen::Weld::JointmarkBuilder::OrientationMethodTypes OrientationMethod ()
 Returns the orientation method for defining a csys
Created in NX10.0.0. More...
 
NXOpen::PlanePlane ()
 Returns the plane used for mirror
Created in NX9.0.0. More...
 
NXOpen::Weld::JointmarkPointsBuilderListPointList ()
 Returns the list of points
Created in NX9.0.0. More...
 
NXOpen::Weld::JointmarkBuilder::ProjectionDirectionOptions ProjectionDirectionOption ()
 Returns the projection direction option used to project NXOpen::Weld::JointmarkBuilder::SelectPointsObject onto the NXOpen::Weld::JointmarkBuilder::GetReferenceSheet . More...
 
void RediscoverFaces ()
 Use the Weld Assistant Connected Face Finder command to rediscover faces based on the current feature point positions. More...
 
NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes ReferenceSheetType ()
 Returns the type of reference sheet
Created in NX9.0.0. More...
 
NXOpen::Features::SelectFeatureListReuseFeatures ()
 Returns the selected reuse features
Created in NX10.0.0. More...
 
NXOpen::Weld::JointmarkBuilder::ReuseMethod ReuseFeaturesMethod ()
 Returns the method used to infer feature parameters if all connected parts are the same, or skip inferring due to connected parts being different. More...
 
NXOpen::SelectTaggedObjectListSelectMirrorObject ()
 Returns the selected objects for mirror. More...
 
NXOpen::SelectPointListSelectPointsObject ()
 Returns the selected objects for Points
Created in NX9.0.0. More...
 
NXOpen::SelectTaggedObjectListSelectTranslateObject ()
 Returns the selected objects to translate. More...
 
void SetAssociativity (bool associativity)
 Sets the automatic update option also known as associativity. More...
 
void SetConnectedPanelType (NXOpen::Weld::JointmarkBuilder::ConnectedPanelTypes method)
 Sets the number of connected panels at a point. More...
 
void SetConnectPart (bool connectPart)
 Sets the option of connecting only one part. More...
 
void SetConstructionMethod (NXOpen::Weld::JointmarkBuilder::Method method)
 Sets the construction method for creating Jointmark
Created in NX9.0.0. More...
 
void SetCreateSingleFeatures (bool createSingleFeatures)
 Sets the control option to determine if individual features should be created. More...
 
void SetDisplayCsys (bool status)
 Indicates whether the csys should be displayed on creation
Created in NX10.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX9.0.0. More...
 
void SetFixedCsys (NXOpen::CoordinateSystem *fixedCsys)
 Sets the fixed csys that overrides the default Csys orientation. More...
 
void SetNotifyIfParentPointMoved (bool notifyIfParentPointMoved)
 Sets the option to indicate if an alert should be issued when the parent point moves. More...
 
void SetOrientationMethod (NXOpen::Weld::JointmarkBuilder::OrientationMethodTypes orientationMethod)
 Sets the orientation method for defining a csys
Created in NX10.0.0. More...
 
void SetPlane (NXOpen::Plane *plane)
 Sets the plane used for mirror
Created in NX9.0.0. More...
 
void SetProjectionDirectionOption (NXOpen::Weld::JointmarkBuilder::ProjectionDirectionOptions projectionOption)
 Sets the projection direction option used to project NXOpen::Weld::JointmarkBuilder::SelectPointsObject onto the NXOpen::Weld::JointmarkBuilder::GetReferenceSheet . More...
 
void SetReferenceSheetType (NXOpen::Weld::JointmarkBuilder::ReferenceSheetTypes refSheet)
 Sets the type of reference sheet
Created in NX9.0.0. More...
 
void SetReuseFeaturesMethod (NXOpen::Weld::JointmarkBuilder::ReuseMethod reuseMethod)
 Sets the method used to infer feature parameters if all connected parts are the same, or skip inferring due to connected parts being different. More...
 
void SetShowThruState (bool status)
 Indicates whether the output objects should show thru on creation
Created in NX10.0.0. More...
 
void SetShowWorkCsys (bool showWorkCsys)
 Sets the option to control if the work coordinate system should be showing. More...
 
void SetTranslateCsys (NXOpen::CoordinateSystem *csys)
 Sets the coordinate system that defines the translate offset directions. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector which points to Y axis
Created in NX9.0.0. More...
 
bool ShowWorkCsys ()
 Returns the option to control if the work coordinate system should be showing. More...
 
NXOpen::CoordinateSystemTranslateCsys ()
 Returns the coordinate system that defines the translate offset directions. More...
 
NXOpen::ExpressionTranslateX ()
 Returns the expression containing the value of the x translation distance. More...
 
NXOpen::ExpressionTranslateY ()
 Returns the expression containing the value of the y translation distance. More...
 
NXOpen::ExpressionTranslateZ ()
 Returns the expression containing the value of the z translation distance. More...
 
void UpdateFeatures ()
 Updates all the items on the points list based on the construction method and related inputs. More...
 
void UpdatePoint ()
 Updates the selected point by projecting it to the guide curve. More...
 
NXOpen::Features::FeatureUpdateReferenceSheet (bool facesModified)
 Prepares a Reference Sheet for placing Jointmark features. More...
 
NXOpen::DirectionVector ()
 Returns the vector which points to Y axis
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to create or edit a NXOpen::Weld::PointMark feature.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreatePointMarkBuilder
Default values.

Property Value

Associativity

1

ConnectPart

0

ConstructionMethod

GuideCurve

CreateSingleFeatures

0

OrientationMethod

SurfaceNormal

ReferenceSheetType

Overlap

ReuseFeaturesMethod

SameConnectingParts

ShowWorkCsys

1


Created in NX10.0.0.

Member Enumeration Documentation

The weld type to create.

Enumerator
WeldTypesResistanceSpot 

Resistance Spot.

WeldTypesArcSpot 

Arc Spot.

WeldTypesClinch 

Clinch.

WeldTypesDollop 

Dollop.

WeldTypesWeldNut 

Weld Nut.

WeldTypesWeldStud 

Weld Stud.

WeldTypesCustom1 

Custom 1 as defined in customer defaults.

WeldTypesCustom2 

Custom 2 as defined in customer defaults.

WeldTypesCustom3 

Custom 3 as defined in customer defaults.

WeldTypesCustom4 

Custom 4 as defined in customer defaults.

WeldTypesCustom5 

Custom 5 as defined in customer defaults.

Member Function Documentation

void NXOpen::Weld::PointMarkBuilder::AppendPointsOverride ( bool  create)

Creates a list of points on the overlap sheet.

In addition, a curve selected by the user will be placed at these points.
Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
createCreate or Edit
NXOpen::Weld::PointMarkPointBuilder* NXOpen::Weld::PointMarkBuilder::NewPointsOverride ( )

Creates a NXOpen::Weld::PointMarkPointBuilder object.

Returns

Created in NX10.0.0.

License requirements : ugweld ("UG WELD")
void NXOpen::Weld::PointMarkBuilder::SetShowSolids ( bool  showSolids)

Sets the display mode.

This is only used on create. On edit the display mode will be that of the latest state of the edited features.
Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
showSolidstrue- Show Weld.PointMarkPoint features in solid mode. fale- show in point mode.
void NXOpen::Weld::PointMarkBuilder::SetWeldType ( NXOpen::Weld::PointMarkBuilder::WeldTypes  weldType)

Sets the weld type references in the customer defaults to create.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
weldTypeweldtype
bool NXOpen::Weld::PointMarkBuilder::ShowSolids ( )

Returns the display mode.

This is only used on create. On edit the display mode will be that of the latest state of the edited features.
Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Weld::PointMarkBuilder::WeldTypes NXOpen::Weld::PointMarkBuilder::WeldType ( )

Returns the weld type references in the customer defaults to create.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.